=== src/plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (2.01a) (Qt 4.2.1) on: Tue Jan 23 20:02:31 2007
# Project:  plugins.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix CONFIG+=my_release -o Makefile plugins.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-aptplugin \
		sub-debtagsplugin \
		sub-filenameplugin \
		sub-orphanplugin

aptplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) aptplugin/ || $(MKDIR) aptplugin/ 
	cd aptplugin && $(QMAKE) aptplugin.pro -unix CONFIG+=my_release -o $(MAKEFILE)
sub-aptplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) aptplugin/ || $(MKDIR) aptplugin/ 
	cd aptplugin && $(QMAKE) aptplugin.pro -unix CONFIG+=my_release -o $(MAKEFILE)
sub-aptplugin: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE)
sub-aptplugin-make_default: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) 
sub-aptplugin-make_first: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) first
sub-aptplugin-all: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) all
sub-aptplugin-clean: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) clean
sub-aptplugin-distclean: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) distclean
sub-aptplugin-install_subtargets: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) install
sub-aptplugin-uninstall_subtargets: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) uninstall
debtagsplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) debtagsplugin/ || $(MKDIR) debtagsplugin/ 
	cd debtagsplugin && $(QMAKE) debtagsplugin.pro -unix CONFIG+=my_release -o $(MAKEFILE)
sub-debtagsplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) debtagsplugin/ || $(MKDIR) debtagsplugin/ 
	cd debtagsplugin && $(QMAKE) debtagsplugin.pro -unix CONFIG+=my_release -o $(MAKEFILE)
sub-debtagsplugin: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE)
sub-debtagsplugin-make_default: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) 
sub-debtagsplugin-make_first: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) first
sub-debtagsplugin-all: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) all
sub-debtagsplugin-clean: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) clean
sub-debtagsplugin-distclean: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) distclean
sub-debtagsplugin-install_subtargets: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) install
sub-debtagsplugin-uninstall_subtargets: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) uninstall
filenameplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) filenameplugin/ || $(MKDIR) filenameplugin/ 
	cd filenameplugin && $(QMAKE) filenameplugin.pro -unix CONFIG+=my_release -o $(MAKEFILE)
sub-filenameplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) filenameplugin/ || $(MKDIR) filenameplugin/ 
	cd filenameplugin && $(QMAKE) filenameplugin.pro -unix CONFIG+=my_release -o $(MAKEFILE)
sub-filenameplugin: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE)
sub-filenameplugin-make_default: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) 
sub-filenameplugin-make_first: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) first
sub-filenameplugin-all: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) all
sub-filenameplugin-clean: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) clean
sub-filenameplugin-distclean: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) distclean
sub-filenameplugin-install_subtargets: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) install
sub-filenameplugin-uninstall_subtargets: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) uninstall
orphanplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) orphanplugin/ || $(MKDIR) orphanplugin/ 
	cd orphanplugin && $(QMAKE) orphanplugin.pro -unix CONFIG+=my_release -o $(MAKEFILE)
sub-orphanplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) orphanplugin/ || $(MKDIR) orphanplugin/ 
	cd orphanplugin && $(QMAKE) orphanplugin.pro -unix CONFIG+=my_release -o $(MAKEFILE)
sub-orphanplugin: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE)
sub-orphanplugin-make_default: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) 
sub-orphanplugin-make_first: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) first
sub-orphanplugin-all: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) all
sub-orphanplugin-clean: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) clean
sub-orphanplugin-distclean: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) distclean
sub-orphanplugin-install_subtargets: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) install
sub-orphanplugin-uninstall_subtargets: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: plugins.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix CONFIG+=my_release -o Makefile plugins.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix CONFIG+=my_release -o Makefile plugins.pro

qmake_all: sub-aptplugin-qmake_all sub-debtagsplugin-qmake_all sub-filenameplugin-qmake_all sub-orphanplugin-qmake_all FORCE

make_default: sub-aptplugin-make_default sub-debtagsplugin-make_default sub-filenameplugin-make_default sub-orphanplugin-make_default FORCE
make_first: sub-aptplugin-make_first sub-debtagsplugin-make_first sub-filenameplugin-make_first sub-orphanplugin-make_first FORCE
all: sub-aptplugin-all sub-debtagsplugin-all sub-filenameplugin-all sub-orphanplugin-all FORCE
clean: sub-aptplugin-clean sub-debtagsplugin-clean sub-filenameplugin-clean sub-orphanplugin-clean FORCE
distclean: sub-aptplugin-distclean sub-debtagsplugin-distclean sub-filenameplugin-distclean sub-orphanplugin-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-aptplugin-install_subtargets sub-debtagsplugin-install_subtargets sub-filenameplugin-install_subtargets sub-orphanplugin-install_subtargets FORCE
uninstall_subtargets: sub-aptplugin-uninstall_subtargets sub-debtagsplugin-uninstall_subtargets sub-filenameplugin-uninstall_subtargets sub-orphanplugin-uninstall_subtargets FORCE

/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
