=== src/plugins/debtagsplugin/Makefile ===
#############################################################################
# Makefile for building: libdebtagsplugin.so
# Generated by qmake (2.01a) (Qt 4.2.1) on: Tue Jan 23 20:02:32 2007
# Project:  debtagsplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix CONFIG+=my_release -o Makefile debtagsplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
CXXFLAGS      = -pipe -O2 --include ../../workarounds.h `pkg-config --cflags libept` -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I. -I. -I../.. -I.moc -I.ui
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib `pkg-config --libs libept` -lpthread -lQt3Support -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = debtagsplugin.cpp \
		debtagsplugincontainer.cpp \
		relatedplugin.cpp \
		tagitem.cpp \
		taglistviewitem.cpp \
		tagselectionlistview.cpp \
		tagselectionwidget.cpp \
		selectioninputanddisplay.cpp \
		debtagspluginfactory.cpp \
		debtagssettingswidget.cpp \
		relatedfeedbackwidget.cpp \
		relatedinput.cpp \
		tagchooserwidget.cpp \
		choosentagsdisplay.cpp .moc/moc_debtagsplugin.cpp \
		.moc/moc_debtagsplugincontainer.cpp \
		.moc/moc_relatedplugin.cpp \
		.moc/moc_taglistviewitem.cpp \
		.moc/moc_tagselectionlistview.cpp \
		.moc/moc_tagselectionwidget.cpp \
		.moc/moc_selectioninputanddisplay.cpp \
		.moc/moc_debtagssettingswidget.cpp \
		.moc/moc_relatedfeedbackwidget.cpp \
		.moc/moc_relatedinput.cpp \
		.moc/moc_tagchooserwidget.cpp \
		.moc/moc_choosentagsdisplay.cpp
OBJECTS       = .obj/debtagsplugin.o \
		.obj/debtagsplugincontainer.o \
		.obj/relatedplugin.o \
		.obj/tagitem.o \
		.obj/taglistviewitem.o \
		.obj/tagselectionlistview.o \
		.obj/tagselectionwidget.o \
		.obj/selectioninputanddisplay.o \
		.obj/debtagspluginfactory.o \
		.obj/debtagssettingswidget.o \
		.obj/relatedfeedbackwidget.o \
		.obj/relatedinput.o \
		.obj/tagchooserwidget.o \
		.obj/choosentagsdisplay.o \
		.obj/moc_debtagsplugin.o \
		.obj/moc_debtagsplugincontainer.o \
		.obj/moc_relatedplugin.o \
		.obj/moc_taglistviewitem.o \
		.obj/moc_tagselectionlistview.o \
		.obj/moc_tagselectionwidget.o \
		.obj/moc_selectioninputanddisplay.o \
		.obj/moc_debtagssettingswidget.o \
		.obj/moc_relatedfeedbackwidget.o \
		.obj/moc_relatedinput.o \
		.obj/moc_tagchooserwidget.o \
		.obj/moc_choosentagsdisplay.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		debtagsplugin.pro
QMAKE_TARGET  = debtagsplugin
DESTDIR       = ../
TARGET        = libdebtagsplugin.so
TARGETD       = libdebtagsplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET): .ui/ui_debtagssettingswidget.h .ui/ui_choosentagsdisplay.h .ui/ui_relatedfeedbackwidget.h .ui/ui_relatedinput.h .ui/ui_tagchooserwidget.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: debtagsplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix CONFIG+=my_release -o Makefile debtagsplugin.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=my_release -o Makefile debtagsplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/debtagsplugin0.0.1 || $(MKDIR) .obj/debtagsplugin0.0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/debtagsplugin0.0.1/ && $(COPY_FILE) --parents debtagsplugin.h debtagsplugincontainer.h relatedplugin.h tagitem.h taglistviewitem.h tagselectionlistview.h tagselectionview.h tagselectionwidget.h selectioninputanddisplay.h debtagspluginfactory.h debtagssettingswidget.h relatedfeedbackwidget.h relatedinput.h tagchooserwidget.h choosentagsdisplay.h debtagshelper.h .obj/debtagsplugin0.0.1/ && $(COPY_FILE) --parents debtagsplugin.cpp debtagsplugincontainer.cpp relatedplugin.cpp tagitem.cpp taglistviewitem.cpp tagselectionlistview.cpp tagselectionwidget.cpp selectioninputanddisplay.cpp debtagspluginfactory.cpp debtagssettingswidget.cpp relatedfeedbackwidget.cpp relatedinput.cpp tagchooserwidget.cpp choosentagsdisplay.cpp .obj/debtagsplugin0.0.1/ && $(COPY_FILE) --parents debtagssettingswidget.ui choosentagsdisplay.ui relatedfeedbackwidget.ui relatedinput.ui tagchooserwidget.ui .obj/debtagsplugin0.0.1/ && (cd `dirname .obj/debtagsplugin0.0.1` && $(TAR) debtagsplugin0.0.1.tar debtagsplugin0.0.1 && $(COMPRESS) debtagsplugin0.0.1.tar) && $(MOVE) `dirname .obj/debtagsplugin0.0.1`/debtagsplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/debtagsplugin0.0.1


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_debtagsplugin.cpp .moc/moc_debtagsplugincontainer.cpp .moc/moc_relatedplugin.cpp .moc/moc_taglistviewitem.cpp .moc/moc_tagselectionlistview.cpp .moc/moc_tagselectionwidget.cpp .moc/moc_selectioninputanddisplay.cpp .moc/moc_debtagssettingswidget.cpp .moc/moc_relatedfeedbackwidget.cpp .moc/moc_relatedinput.cpp .moc/moc_tagchooserwidget.cpp .moc/moc_choosentagsdisplay.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_debtagsplugin.cpp .moc/moc_debtagsplugincontainer.cpp .moc/moc_relatedplugin.cpp .moc/moc_taglistviewitem.cpp .moc/moc_tagselectionlistview.cpp .moc/moc_tagselectionwidget.cpp .moc/moc_selectioninputanddisplay.cpp .moc/moc_debtagssettingswidget.cpp .moc/moc_relatedfeedbackwidget.cpp .moc/moc_relatedinput.cpp .moc/moc_tagchooserwidget.cpp .moc/moc_choosentagsdisplay.cpp
.moc/moc_debtagsplugin.cpp: debtagsplugincontainer.h \
		tagchooserwidget.h \
		.ui/ui_tagchooserwidget.h \
		debtagsplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debtagsplugin.h -o .moc/moc_debtagsplugin.cpp

.moc/moc_debtagsplugincontainer.cpp: debtagsplugincontainer.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debtagsplugincontainer.h -o .moc/moc_debtagsplugincontainer.cpp

.moc/moc_relatedplugin.cpp: debtagsplugincontainer.h \
		relatedplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) relatedplugin.h -o .moc/moc_relatedplugin.cpp

.moc/moc_taglistviewitem.cpp: tagitem.h \
		taglistviewitem.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) taglistviewitem.h -o .moc/moc_taglistviewitem.cpp

.moc/moc_tagselectionlistview.cpp: tagselectionview.h \
		tagitem.h \
		taglistviewitem.h \
		tagselectionlistview.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) tagselectionlistview.h -o .moc/moc_tagselectionlistview.cpp

.moc/moc_tagselectionwidget.cpp: tagselectionlistview.h \
		tagselectionview.h \
		tagitem.h \
		taglistviewitem.h \
		tagselectionwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) tagselectionwidget.h -o .moc/moc_tagselectionwidget.cpp

.moc/moc_selectioninputanddisplay.cpp: tagselectionwidget.h \
		tagselectionlistview.h \
		tagselectionview.h \
		tagitem.h \
		taglistviewitem.h \
		selectioninputanddisplay.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) selectioninputanddisplay.h -o .moc/moc_selectioninputanddisplay.cpp

.moc/moc_debtagssettingswidget.cpp: .ui/ui_debtagssettingswidget.h \
		debtagssettingswidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debtagssettingswidget.h -o .moc/moc_debtagssettingswidget.cpp

.moc/moc_relatedfeedbackwidget.cpp: .ui/ui_relatedfeedbackwidget.h \
		relatedfeedbackwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) relatedfeedbackwidget.h -o .moc/moc_relatedfeedbackwidget.cpp

.moc/moc_relatedinput.cpp: .ui/ui_relatedinput.h \
		relatedinput.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) relatedinput.h -o .moc/moc_relatedinput.cpp

.moc/moc_tagchooserwidget.cpp: .ui/ui_tagchooserwidget.h \
		tagchooserwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) tagchooserwidget.h -o .moc/moc_tagchooserwidget.cpp

.moc/moc_choosentagsdisplay.cpp: .ui/ui_choosentagsdisplay.h \
		choosentagsdisplay.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) choosentagsdisplay.h -o .moc/moc_choosentagsdisplay.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
