=== src/plugins/orphanplugin/Makefile ===
#############################################################################
# Makefile for building: liborphanplugin.so
# Generated by qmake (2.01a) (Qt 4.2.1) on: Tue Jan 23 20:02:32 2007
# Project:  orphanplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix CONFIG+=my_release -o Makefile orphanplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
CXXFLAGS      = -pipe -O2 --include ../../workarounds.h `pkg-config --cflags libept` -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I. -I../.. -I.moc -I.ui
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQt3Support -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = orphanplugincontainer.cpp \
		orphanpluginfactory.cpp \
		orphanplugin.cpp \
		orphansearchinputimpl.cpp \
		orphanfeedbackwidgetimpl.cpp .moc/moc_orphanplugincontainer.cpp \
		.moc/moc_orphanplugin.cpp \
		.moc/moc_orphansearchinputimpl.cpp \
		.moc/moc_orphanfeedbackwidgetimpl.cpp
OBJECTS       = .obj/orphanplugincontainer.o \
		.obj/orphanpluginfactory.o \
		.obj/orphanplugin.o \
		.obj/orphansearchinputimpl.o \
		.obj/orphanfeedbackwidgetimpl.o \
		.obj/moc_orphanplugincontainer.o \
		.obj/moc_orphanplugin.o \
		.obj/moc_orphansearchinputimpl.o \
		.obj/moc_orphanfeedbackwidgetimpl.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		orphanplugin.pro
QMAKE_TARGET  = orphanplugin
DESTDIR       = ../
TARGET        = liborphanplugin.so
TARGETD       = liborphanplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET): .ui/ui_orphansearchinput.h .ui/ui_orphanfeedbackwidget.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: orphanplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix CONFIG+=my_release -o Makefile orphanplugin.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=my_release -o Makefile orphanplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/orphanplugin0.0.1 || $(MKDIR) .obj/orphanplugin0.0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/orphanplugin0.0.1/ && $(COPY_FILE) --parents orphanplugincontainer.h orphanpluginfactory.h orphanplugin.h orphansearchinputimpl.h orphanfeedbackwidgetimpl.h .obj/orphanplugin0.0.1/ && $(COPY_FILE) --parents orphanplugincontainer.cpp orphanpluginfactory.cpp orphanplugin.cpp orphansearchinputimpl.cpp orphanfeedbackwidgetimpl.cpp .obj/orphanplugin0.0.1/ && $(COPY_FILE) --parents orphansearchinput.ui orphanfeedbackwidget.ui .obj/orphanplugin0.0.1/ && (cd `dirname .obj/orphanplugin0.0.1` && $(TAR) orphanplugin0.0.1.tar orphanplugin0.0.1 && $(COMPRESS) orphanplugin0.0.1.tar) && $(MOVE) `dirname .obj/orphanplugin0.0.1`/orphanplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/orphanplugin0.0.1


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_orphanplugincontainer.cpp .moc/moc_orphanplugin.cpp .moc/moc_orphansearchinputimpl.cpp .moc/moc_orphanfeedbackwidgetimpl.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_orphanplugincontainer.cpp .moc/moc_orphanplugin.cpp .moc/moc_orphansearchinputimpl.cpp .moc/moc_orphanfeedbackwidgetimpl.cpp
.moc/moc_orphanplugincontainer.cpp: orphanplugincontainer.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) orphanplugincontainer.h -o .moc/moc_orphanplugincontainer.cpp

.moc/moc_orphanplugin.cpp: orphanplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) orphanplugin.h -o .moc/moc_orphanplugin.cpp

.moc/moc_orphansearchinputimpl.cpp: .ui/ui_orphansearchinput.h \
		orphansearchinputimpl.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) orphansearchinputimpl.h -o .moc/moc_orphansearchinputimpl.cpp

.moc/moc_orphanfeedbackwidgetimpl.cpp: .ui/ui_orphanfeedbackwidget.h \
		orphanfeedbackwidgetimpl.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) orphanfeedbackwidgetimpl.h -o .moc/moc_orphanfeedbackwidgetimpl.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_orphansearchinput.h .ui/ui_orphanfeedbackwidget.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_orphansearchinput.h .ui/ui_orphanfeedbackwidget.h
.ui/ui_orphansearchinput.h: orphansearchinput.ui
	/usr/bin/uic-qt4 orphansearchinput.ui -o .ui/ui_orphansearchinput.h

.ui/ui_orphanfeedbackwidget.h: orphanfeedbackwidget.ui
	/usr/bin/uic-qt4 orphanfeedbackwidget.ui -o .ui/ui_orphanfeedbackwidget.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

.obj/orphanplugincontainer.o: orphanplugincontainer.cpp orphanplugincontainer.h \
		orphanpluginfactory.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphanplugincontainer.o orphanplugincontainer.cpp

.obj/orphanpluginfactory.o: orphanpluginfactory.cpp orphanpluginfactory.h \
		orphanplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphanpluginfactory.o orphanpluginfactory.cpp

.obj/orphanplugin.o: orphanplugin.cpp orphanplugin.h \
		orphansearchinputimpl.h \
		.ui/ui_orphansearchinput.h \
		orphanfeedbackwidgetimpl.h \
		.ui/ui_orphanfeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphanplugin.o orphanplugin.cpp

.obj/orphansearchinputimpl.o: orphansearchinputimpl.cpp orphansearchinputimpl.h \
		.ui/ui_orphansearchinput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphansearchinputimpl.o orphansearchinputimpl.cpp

.obj/orphanfeedbackwidgetimpl.o: orphanfeedbackwidgetimpl.cpp orphanfeedbackwidgetimpl.h \
		.ui/ui_orphanfeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphanfeedbackwidgetimpl.o orphanfeedbackwidgetimpl.cpp

.obj/moc_orphanplugincontainer.o: .moc/moc_orphanplugincontainer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_orphanplugincontainer.o .moc/moc_orphanplugincontainer.cpp

.obj/moc_orphanplugin.o: .moc/moc_orphanplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_orphanplugin.o .moc/moc_orphanplugin.cpp

.obj/moc_orphansearchinputimpl.o: .moc/moc_orphansearchinputimpl.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_orphansearchinputimpl.o .moc/moc_orphansearchinputimpl.cpp

.obj/moc_orphanfeedbackwidgetimpl.o: .moc/moc_orphanfeedbackwidgetimpl.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_orphanfeedbackwidgetimpl.o .moc/moc_orphanfeedbackwidgetimpl.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
