=== debian/changelog ===
packagesearch (2.2.5) unstable; urgency=low

  * fixed crash when selecting non-existent package (caused by the
    debtags plugin, Closes: #408051)

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 23 Jan 2007 11:30:15 +0100

packagesearch (2.2.4) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sun,  3 Dec 2006 15:24:36 +0100

packagesearch (2.2.3) unstable; urgency=low

  * New upstream release
     - delete line ending when reading from apt-file list and 
       apt-file search/dpkg -S (Closes: #398692)

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 15 Nov 2006 08:47:20 +0100

packagesearch (2.2.2) unstable; urgency=low

  * Bugfix release
     - added build dependency on libept >= 0.4.4 which no longer throws an exception 
       if there is no user .debtags directory available (Closes: #395568),
       also added dependency on apt >= 0.6.46.1, which should remedy failures
       in loading the apt-plugin (Closes: #395568)

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 31 Oct 2006 18:29:29 +0100

packagesearch (2.2.1) unstable; urgency=low

  * does not use apt-index-watcher any more, uses debtags update --reindex 
    instead

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 25 Oct 2006 20:23:21 +0200

packagesearch (2.2) unstable; urgency=medium

  * New upstream release
      - uses libept as new backend (instead of libapt-front)
        Closes: #389462 debtags handling is improved in libept
      - added build dependency onto additional -dev library packages
        libsqlite0-dev libglib2.0-dev required by libqt4 4.2 (Closes: #391933)

 -- Benjamin Mesing <bensmail@gmx.net>  Sat,  9 Oct 2006 23:00:45 +0200

packagesearch (2.1.1-0.1) unstable; urgency=medium
   
   * NMU for release critical bug.
   * Move docbook-to-man from Build-Depends to Build-Depends-Indep
     (Closes: #389150, #389237).
     
 -- Thijs Kinkhorst <thijs@debian.org>  Fri,  6 Oct 2006 14:24:41 +0200
 

packagesearch (2.1.1) unstable; urgency=low

  * Bug fix release
     - adds a .desktop file (Closes: #319875, 382197)
     - use x-terminal-emulator instead of hard coded xterm
     - show the part before the : for grouped tags
     - build-depends on libapt-front 0.3.10 since this one builds fine on
       all architectures, and fixes a bug in the vocabulary processing
       

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 17 Sep 2006 10:59:31 +0200
