=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <bensmail@gmx.net>
Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.4.7), libept-dev (<< 0.5), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libmysqlclient15-dev, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libglib2.0-dev, libsqlite0-dev
Standards-Version: 3.7.2.1

Package: packagesearch
Architecture: any
Depends: apt (>= 0.6.46.1), debtags (>= 1.6.1), ${shlibs:Depends}, ${misc:Depends}
Recommends: xterm | x-terminal-emulator, apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system, a new way of categorizing 
    Debian packages)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including the files belonging to them.
 .
 It is possible to install or remove packages.
